%define upstream_name    GDGraph
%define upstream_version 1.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Graph Plotting Module for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MV/MVERB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(FindBin)
BuildRequires: perl(GD) >= 1.180.0
BuildRequires: perl(GD::Text) >= 0.800.0
BuildRequires: perl(Test::Exception) >= 0.400.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-GD >= 1.20
BuildRequires: perl-GDTextUtil >= 0.83
BuildRequires: gd-devel
BuildArch:  noarch

Provides:   perl-GD-Graph
Obsoletes:  perl-GD-Graph

%description
This is GDGraph, a package to generate charts, using Lincoln
Stein's GD.pm. See the documentation for some history and more
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
#find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
%makeinstall_std

%check
make test

%files
%doc CHANGES META.json META.yml MYMETA.yml README samples
%{perl_vendorlib}/GD/*
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.520.0-2.mga6
+ Revision: 1027677
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.520.0-1.mga6
+ Revision: 1001979
- update to 1.52

* Thu Feb 18 2016 umeabot <umeabot> 1.490.0-2.mga6
+ Revision: 967370
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.490.0-1.mga6
+ Revision: 848781
- update to 1.49

* Wed Oct 15 2014 umeabot <umeabot> 1.480.0-4.mga5
+ Revision: 742796
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.480.0-3.mga5
+ Revision: 684814
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 1.480.0-1.mga4
+ Revision: 463390
- update to 1.48

* Wed Jun 26 2013 jquelin <jquelin> 1.450.0-1.mga4
+ Revision: 446959
- update to 1.45

* Sun Jan 13 2013 umeabot <umeabot> 1.440.0-2.mga3
+ Revision: 367542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 1.440.0-1.mga1
+ Revision: 42021
- mageia rebuild
- imported package perl-GDGraph


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.440.0-1mdv2010.1
+ Revision: 403186
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.44-4mdv2009.0
+ Revision: 223765
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.44-3mdv2008.1
+ Revision: 180402
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Thierry Vignaud <tv@mandriva.org> 1.44-2mdv2008.0
+ Revision: 68987
- fix upgrade

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.44-1mdv2008.0
+ Revision: 20096
- 1.44


* Sun Apr 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.43-2mdk
- fix deps

* Sat Jun 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.43-1mdk 
- new release
- change name to match distribution
- make test
- rpmbuilupdate aware
- better URL

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.35-8mdk
- fix deps

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.35-7mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.35-6mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.35-5mdk
- fix buildrequires, thanks to Stefan van der Eijks robot

